Package org.apache.ignite.spi.systemview.view.sql

## Class SqlIndexView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.sql.SqlIndexView

-     public class SqlIndexView
      extends Object

  Sql index representation for a `SystemView`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SqlIndexView​(org.apache.ignite.internal.processors.query.schema.management.TableDescriptor tbl, org.apache.ignite.internal.processors.query.schema.management.IndexDescriptor idx)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `cacheGroupId()` | Returns cache group ID.
    `String` | `cacheGroupName()` | Returns Cache group name.
    `int` | `cacheId()` | Returns cache ID.
    `String` | `cacheName()` | Returns cache name.
    `String` | `columns()` | Returns all columns on which index is built.
    `String` | `indexName()` | Returns index name.
    `String` | `indexType()` | Returns index type.
    `Integer` | `inlineSize()` | Returns inline size in bytes.
    `boolean` | `isPk()` | Returns boolean value which indicates whether this index is for primary key or not.
    `boolean` | `isUnique()` | Returns boolean value which indicates whether this index is unique or not.
    `String` | `schemaName()` | Returns schema name.
    `String` | `tableName()` | Returns table name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SqlIndexView

          public SqlIndexView​(org.apache.ignite.internal.processors.query.schema.management.TableDescriptor tbl,
                              org.apache.ignite.internal.processors.query.schema.management.IndexDescriptor idx)

      Parameters:
        `tbl` - Table information.
        `idx` - Index information.

  - ### Method Detail

    - #### cacheGroupId

          public int cacheGroupId()

      Returns cache group ID.
      Returns:
        Cache group ID.

    - #### cacheGroupName

          public String cacheGroupName()

      Returns Cache group name.
      Returns:
        Cache group name.

    - #### cacheId

          public int cacheId()

      Returns cache ID.
      Returns:
        Cache ID.

    - #### cacheName

          public String cacheName()

      Returns cache name.
      Returns:
        Cache name.

    - #### schemaName

          public String schemaName()

      Returns schema name.
      Returns:
        Schema name.

    - #### tableName

          public String tableName()

      Returns table name.
      Returns:
        Table name.

    - #### indexName

          public String indexName()

      Returns index name.
      Returns:
        Index name.

    - #### indexType

          public String indexType()

      Returns index type.
      Returns:
        Index type.

    - #### columns

          public String columns()

      Returns all columns on which index is built.
      Returns:
        Coma separated indexed columns.

    - #### isPk

          public boolean isPk()

      Returns boolean value which indicates whether this index is for primary key or not.
      Returns:
        `True` if primary key index, `false` otherwise.

    - #### isUnique

          public boolean isUnique()

      Returns boolean value which indicates whether this index is unique or not.
      Returns:
        `True` if unique index, `false` otherwise.

    - #### inlineSize

          public Integer inlineSize()

      Returns inline size in bytes.
      Returns:
        Inline size.